IMX6_AHCI(4)

NAME
imx6_ahci - device driver for the NXP i.MX6 on-chip SATA controller

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device ahci

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    imx6_ahci_load="YES"

DESCRIPTION
The imx6_ahci driver provides support for the on-chip SATA controller found on some models of the NXP i.MX6 chip. The driver is a thin glue layer to interpret the platform's FDT data and marshall resources for the standard ahci(4) driver.

SEE ALSO
ahci(4), fdt(4)

HISTORY
The imx6_ahci driver first appeared in FreeBSD 12.0.